﻿using Avalonia;
using Avalonia.Collections;
using Avalonia.Controls;

using BFR.DataModels;

namespace BFR
{
    public partial class MainWindow : Window
    {
        private readonly AvaloniaProperty<string> workingDirectoryProperty =
            AvaloniaProperty.Register<MainWindow, string>(nameof(WorkingDirectory));
        public string WorkingDirectory { get => GetValue(workingDirectoryProperty); set => SetValue(workingDirectoryProperty, value); }

        public AvaloniaList<FileModel> AllFiles { get; } = new AvaloniaList<FileModel>();
        public AvaloniaList<FileModel> Files { get; } = new AvaloniaList<FileModel>();

        // Filters
        public string FilterExtension { get; set; } = "";
        public string FilterPattern { get; set; } = "";
        public bool FilterFullName { get; set; } = false;
        public bool FilterRegex { get; set; } = false;
    }
}
